<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'meeting',

    /*
     * Modules.
     */
    'modules'   => ['meeting'],

    
    'meeting'       => [
        'model' => [
            'model' => \Litecms\Meeting\Models\Meeting::class,
            'repository' => \Litecms\Meeting\Repositories\Eloquent\MeetingRepository::class,
            'table' => 'meetings',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'appointment_created_date',  'restaurant_name',  'deal_hubspot_link',  'comments',  'lead_type',  'sales_manager',  'appointment_date',  'meeting_confirmed',  'contact_info_updated',  'audio_record_updated',  'deal_created_by',  'csv',  'created_at',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'meeting/meeting',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Meeting',
            'module' => 'Meeting',
        ],
    ],
];
