<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateMeetingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: meetings
         */
        Schema::create('meetings', function ($table) {
            $table->increments('id');
            $table->dateTime('appointment_created_date')->nullable();
            $table->text('restaurant_name')->nullable();
            $table->text('deal_hubspot_link')->nullable();
            $table->text('comments')->nullable();
            $table->text('lead_type')->nullable();
            $table->text('sales_manager')->nullable();
            $table->dateTime('appointment_date')->nullable();
            $table->integer('meeting_confirmed')->nullable();
            $table->text('contact_info_updated')->nullable();
            $table->text('audio_record_updated')->nullable();
            $table->text('deal_created_by')->nullable();
            $table->text('csv')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('meetings');
    }
}
