Lavalite package that provides meeting management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/meeting`.

    "litecms/meeting": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Meeting\Providers\MeetingServiceProvider::class,

And also add it to alias

    'Meeting'  => Litecms\Meeting\Facades\Meeting::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\Meeting\\Seeders\\MeetingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Meeting\Providers\MeetingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Meeting\Providers\MeetingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Meeting\Providers\MeetingServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/meeting/{modulename}

**User**

    http://path-to-route-folder/user/meeting/{modulename}

**Public**

    http://path-to-route-folder/meetings


### API endpoints

**List**

    http://path-to-route-folder/api/user/meeting/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/meeting/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/meeting/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/meeting/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/meeting/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/meeting/{modulename}/{slug}
    METHOD: GET