<?php

namespace Litecms\Meeting\Forms;

use Litepie\Form\FormInterpreter;

class Meeting extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('meeting/meeting/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('meeting/meeting/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('meeting/meeting'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('meeting/meeting'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('meeting/meeting'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('meeting/meeting'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('meeting::meeting.label.name'),
                "placeholder" => trans('meeting::meeting.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('meeting::meeting.label.created_at'),
            'name' => trans('meeting::meeting.label.name'),
            'status' => trans('meeting::meeting.label.status'),
        ];
        self::$groups = [
            'main' => trans('meeting::meeting.groups.main'),
            'details' => trans('meeting::meeting.groups.details'),
            'images' => trans('meeting::meeting.groups.images'),
            'settings' => trans('meeting::meeting.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('meeting::meeting.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('meeting::meeting.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('meeting::meeting.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('meeting::meeting.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'appointment_created_date' => [
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => trans('meeting::meeting.label.appointment_created_date'),
                "placeholder" => trans('meeting::meeting.placeholder.appointment_created_date'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'restaurant_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('meeting::meeting.label.restaurant_name'),
                "placeholder" => trans('meeting::meeting.placeholder.restaurant_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'deal_hubspot_link' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('meeting::meeting.label.deal_hubspot_link'),
                "placeholder" => trans('meeting::meeting.placeholder.deal_hubspot_link'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'comments' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('meeting::meeting.label.comments'),
                "placeholder" => trans('meeting::meeting.placeholder.comments'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'lead_type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('meeting::meeting.label.lead_type'),
                "placeholder" => trans('meeting::meeting.placeholder.lead_type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'sales_manager' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('meeting::meeting.label.sales_manager'),
                "placeholder" => trans('meeting::meeting.placeholder.sales_manager'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'appointment_date' => [
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => trans('meeting::meeting.label.appointment_date'),
                "placeholder" => trans('meeting::meeting.placeholder.appointment_date'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'meeting_confirmed' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('meeting::meeting.label.meeting_confirmed'),
                "placeholder" => trans('meeting::meeting.placeholder.meeting_confirmed'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'contact_info_updated' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('meeting::meeting.label.contact_info_updated'),
                "placeholder" => trans('meeting::meeting.placeholder.contact_info_updated'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'audio_record_updated' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('meeting::meeting.label.audio_record_updated'),
                "placeholder" => trans('meeting::meeting.placeholder.audio_record_updated'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'deal_created_by' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('meeting::meeting.label.deal_created_by'),
                "placeholder" => trans('meeting::meeting.placeholder.deal_created_by'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'csv' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('meeting::meeting.label.csv'),
                "placeholder" => trans('meeting::meeting.placeholder.csv'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
