<?php

namespace Litecms\Meeting\Repositories\Eloquent;

use Litecms\Meeting\Interfaces\MeetingRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\Meeting\Repositories\Eloquent\Presenters\MeetingItemPresenter;


class MeetingRepository extends BaseRepository implements MeetingRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.meeting.meeting.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.meeting.meeting.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return MeetingItemPresenter::class;
    }
}
